package com.cool.store.request;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.util.Objects;

/**
 * @Author: WangShuo
 * @Date: 2025/07/24/11:25
 * @Version 1.0
 * @注释:
 */
@Data
public class HqtPartnerAcceptanceRequest {

    private String hqtShopId;
    //加盟商满意度 3-差，4-一般，5-好，6-非常好  对应红圈通 回访结果分类
    private Integer satisfaction;
    //加盟商评语
    private String comment;

    public Boolean check() {
       if (StringUtils.isAnyBlank(hqtShopId)){
           return  false;
       }
       if (Objects.isNull(satisfaction)){
           return  false;
       }
       return  true;
    }
}
